.swag-guided-shopping-appointment-emails-container {
    border-radius: 4px;
    background-color: #F9FAFB;
    padding: 1rem;
    margin-bottom: 2rem;

    .swag-guided-shopping-appointment-email-header-bar {
        display: flex;
        justify-content: space-between;
    }

    .swag-guided-shopping-appointment-email-list-summary {
        font-weight: bold;
        color: #1F262E;
    }

    .swag-guided-shopping-appointment-email-list-status {
        font-size: 12px;
        color: #52667A;
        margin-top: 2px;
        margin-bottom: 16px;
    }
}

.swag-guided-shopping-appointment-email-list-items {
    display: flex;
    gap: 0.5rem;
    flex-wrap: wrap;
    list-style: none;
    width: calc(100% - 30px);

    .swag-guided-shopping-appointment-email-list-item {
        font-size: 14px;
        display: inline-flex;
        align-items: center;
        padding: 4px 12px;
        border: 1px solid #D1D9E0;
        border-radius: 23px;
        gap: 6px;
        background-color: #FFFFFF;
        position: relative;
        cursor: pointer;

        &__status {
            width: 8px;
            height: 8px;
            border-radius: 50%;
            background-color: #B3BFCC;

            &.accepted {
                background-color: #37D046;
            }

            &.maybe {
                background-color: #FF9800;
            }

            &.declined {
                background-color: #DE294C;
            }
        }

        &__caption {
            max-width: 200px;
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
        }

        &:hover {
            background-color: #F0F2F5;
        }
    }

    .swag-guided-shopping-appointment-email-show-more {
        background-color: #FFFFFF;
        padding: 5px 12px;
        border-radius: 23px;
        line-height: 1;
        font-weight: normal;
    }
}

.swag-guided-shopping-appointment-popup-container {
    display: flex;
    gap: 5px;
    flex-direction: column;
    width: 135%;
    position: absolute;
    bottom: calc(100% + 8px);
    left: 50%;
    transform: translateX(-50%);
    min-width: 170px;
    max-width: 300px;
    background-color: #2a3345;
    border-radius: 4px;
    padding: 12px 16px;
    cursor: auto;

    .swag-guided-shopping-appointment-popup__info {
        display: flex;
        flex-wrap: wrap;
        word-wrap: break-word;
        gap: 5px;
        color: #ffffff;
        flex-direction: column;
        align-items: flex-start;
    }

    .swag-guided-shopping-appointment-popup__mail {
        display: block;
        word-break: break-all;
        white-space: normal;
    }

    .sw-status {
        text-transform: capitalize;
    }

    &::before {
        content: "";
        position: absolute;
        height: 8px;
        width: 8px;
        transform: rotate(45deg);
        background: #2a3345;
        bottom: -4px;
        margin-left: -4px;
        left: 50%;
    }

    &::after {
        content: "";
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        height: 20px;
    }
}
